@tool
extends EditorPlugin

const GIZMO_PACKED = preload("gizmo.gd")
var gizmo = GIZMO_PACKED.new()

func _enter_tree() -> void:
	print("[portal_gizmos] Enter")
	add_node_3d_gizmo_plugin(gizmo)

func _exit_tree() -> void:
	print("[portal_gizmos] Exit")
	remove_node_3d_gizmo_plugin(gizmo)
